## kdevplatform 1.0.0

=== debian/changelog ===
kdevplatform (1.0.0-0ubuntu1) lucid-backports; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Apr 2010 12:22:19 +0100

kdevplatform (0.10.2-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream beta release
  * Include translations in kdevplatform1-libs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Apr 2010 16:48:25 +0200

kdevplatform (0.9.99-0ubuntu1~ppa2) lucid; urgency=low

  * Update for new tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Mar 2010 21:54:59 +0000

kdevplatform (0.9.99-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream release
  * Add build-dep on libattica-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Mar 2010 00:24:02 +0000

kdevplatform (0.9.98-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Update kdevplatform1-libs.install
    - Add kdevsnippet.rc to kdevplatform1-libs.install
    - Add igenericprojectmanager.h to kdevplatform-dev.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 04:15:07 +0100

kdevplatform (0.9.97a-0ubuntu1) lucid; urgency=low

  * Upstream released a new source tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Dec 2009 12:44:40 +0000

kdevplatform (0.9.97-0ubuntu2) lucid; urgency=low

  * Remove FindKDevPlatform.cmake from kdevplatform-dev.install, it's in
    kdelibs in 4.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Dec 2009 00:14:15 +0000

kdevplatform (0.9.97-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Dec 2009 20:53:21 +0000

kdevplatform (0.9.96-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Use a versioned boost build-dep
  * Bump build-depend version on kdelibs5-dev to (>= 4:4.3.3-0ubuntu4) to
    ensure we build with Qt 4.6 RC1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 25 Nov 2009 09:03:37 -0500

kdevplatform (0.9.96-1) unstable; urgency=low

  * New upstream release.
  * Add 01_kdevplatform_r1044088.diff patch.
  * Remove kdevplatform version fix.
  * Update installed plugins. Some plugins were removed upstream.
  * Add Replaces against kdevelop and kdevelop-data (<< 4:3.9.96-1).
    Some files were move from these packages to kdevplatform1-libs.

 -- Fathi Boudra <fabo@debian.org>  Thu, 12 Nov 2009 15:29:14 +0100

kdevplatform (0.9.96-0ubuntu3) lucid; urgency=low

  * The kdevplatform1-libs package replaces kdevelop-data (>> 4:3.9.96)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 05 Nov 2009 08:29:22 -0500

kdevplatform (0.9.96-0ubuntu2) lucid; urgency=low

  * Fix .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Nov 2009 14:02:57 -0500

kdevplatform (0.9.96-0ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining change:
    - Use a versioned boost build-dep
  * New upstream beta release:
    - Drop Debian's version-fixing patch, unneeded in the new beta
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Nov 2009 09:30:06 -0500

kdevplatform (0.9.95-2) unstable; urgency=low

  * Add patch to fix kdevplatform version.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:22:52 +0200

kdevplatform (0.9.95a-0ubuntu1) karmic; urgency=low

  * New upstream tarball

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Aug 2009 16:13:02 -0400

kdevplatform (0.9.95-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - Keep versioned boost build-dep
    - Keep kdevplatform1-libs replaces: kdevplatform-data

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 22 Aug 2009 14:55:23 -0400

kdevplatform (0.9.95-1) unstable; urgency=low

  * New upstream release (beta 5).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 11:30:38 +0200

kdevplatform (0.9.94+svn1010123-1) unstable; urgency=low

  * New snapshot from svn revision 1010123.
  * Update *.install files:
    - libkdevplatformtestshell renamed to libkdevplatformtests.
    - add new files (kdevopenwith and kdevpatchreview).
  * Update debian/rules:
    - add DEB_DH_MAKESHLIBS_ARGS_ALL := -V to generate a shlibs file with
      current upstream version of the package.
    - use DEB_DBG_PACKAGE instead of DEB_DH_STRIP_ARGS. debug package should
      be properly generated.

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 15:50:12 +0200

kdevplatform (0.9.94-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - change libboost-serialization-dev which is a virtual package to
      libboost-serialization1.38-dev
    - kdevplatform1-libs replaces: kdevplatform-data

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Jun 2009 20:18:07 +0200

kdevplatform (0.9.94-1) unstable; urgency=low

  * New upstream release.
  * Replace liboost1.37-dev build dependency by libboost-serialization-dev.
    (Closes: #531111)
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 15 Jun 2009 11:42:21 +0200

kdevplatform (0.9.93-1ubuntu1) karmic; urgency=low

  * kdevplatform1-libs replaces: kdevplatform-data (LP: #380725)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 May 2009 16:24:10 -0400

kdevplatform (0.9.93-1) unstable; urgency=low

  * New upstream release.
  * Update debian/kdevplatform-dev.install: add debugger include files.
  * Update debian/kdevplatform1-libs.install: add kdevcodegen licenses files.
  * Add liboost1.37-dev build dependency: It's needed to get the class browser
    plugin. We can't use boost 1.38 as it isn't supported yet.

 -- Fathi Boudra <fabo@debian.org>  Sun, 24 May 2009 13:13:25 +0200

kdevplatform (0.9.92-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Move kdevplatform-dbg package to debug section.

 -- Fathi Boudra <fabo@debian.org>  Mon, 20 Apr 2009 11:09:11 +0200


