=== debian/changelog ===
kdevplatform (1.0.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add localization packages: Finnish (fi), Dutch (nl), Slovenian (sl) and
    Thai (th).
  * Update debian/control:
    - bump Standards-Version to 3.9.0 (no changes needed).
    - comment turkish localization package, not shipped in this release.
  * Update debian/rules: remove workaround for FindKDE4Internal.cmake default
    rpath value, fixed in kdelibs5-dev 4.4.1.

  [ Sune Vuorela ]
  * Remove hardcoded dependency in libsublime1 on kdelibs5.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 20:36:46 +0300

kdevplatform (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 May 2010 22:24:13 +0200

kdevplatform (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 10:33:53 +0300

kdevplatform (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 Apr 2010 11:43:31 +0200

kdevplatform (0.9.99-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Mar 2010 14:27:31 +0100

kdevplatform (0.9.98-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control:
    - bump build dependencies version (debhelper and pkg-kde-tools).
    - bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/kdevplatform1-libs.install file.
  * Update debian/kdevplatform-dev.install file.
  * Update debian/rules: pass -DCMAKE_SKIP_RPATH=ON
    to workaround FindKDE4Internal.cmake default rpath value.

  [ Modestas Vainius ]
  * Fix Vcs-Browser URL.

 -- Fathi Boudra <fabo@debian.org>  Thu, 11 Feb 2010 16:48:26 +0100

kdevplatform (0.9.97-1) unstable; urgency=low

  * New upstream release.
  * Drop 01_kdevplatform_r1044088.diff patch.
  * Update installed plugins: mercurial plugin removed.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Dec 2009 20:46:47 +0100
