=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.3.16), quilt, cmake (>= 2.6.2),
- pkg-kde-tools (>= 0.5), kdelibs5-dev (>= 4:4.3.3-0ubuntu4),
- libsvn-dev, libboost-serialization1.40-dev, libattica-dev
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), quilt, cmake (>= 2.8.0),
+ pkg-kde-tools (>= 0.6.4), kdelibs5-dev (>= 4:4.4.1),
+ libsvn-dev, libboost-serialization-dev
 # libcommoncpp2-dev, libboost-iostreams-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform/#_trunk_packages_kdevplatform_
 Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevplatform
 
 Package: kdevplatform1-libs
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, libsublime1 (>= ${source:Version})
 Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1)
+Suggests: kdevplatform-l10n
 Description: shared libraries for the KDevelop platform
  This package contains shared libraries needed to run integrated development
  environments based on the KDevelop platform.
@@ -48,9 +47,8 @@
  This package is part of the KDevelop platform.
 
 Package: libsublime1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, kdelibs5 (>= 4:4.2.0)
+Architecture: any
+Depends: ${shlibs:Depends}
 Description: an user interface library
  sublime provides a user interface that supports multiple
  mainwindows, multiple dockwidgets, split views and areas
@@ -66,3 +64,245 @@
  libsublime.
  .
  This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-ca
+Section: localization
+Architecture: all
+Recommends: kde-l10n-ca
+Provides: kdevplatform-l10n
+Description: Catalan (ca) localization files for the KDevelop platform
+ This package contains the Catalan translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-cavalencia
+Section: localization
+Architecture: all
+Recommends: kde-l10n-cavalencia
+Provides: kdevplatform-l10n
+Description: Southern Catalan (Valencian) (ca@valencia) files for the KDevelop platform
+ This package contains the Southern Catalan (Valencian) translations for
+ applications using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-da
+Section: localization
+Architecture: all
+Recommends: kde-l10n-da
+Provides: kdevplatform-l10n
+Description: Danish (da) localization files for the KDevelop platform
+ This package contains the Danish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-de
+Section: localization
+Architecture: all
+Recommends: kde-l10n-de
+Provides: kdevplatform-l10n
+Description: German (de) localization files for the KDevelop platform
+ This package contains the German translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-engb
+Section: localization
+Architecture: all
+Recommends: kde-l10n-engb
+Provides: kdevplatform-l10n
+Description: British English (en_GB) localization files for the KDevelop platform
+ This package contains the British English translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-es
+Section: localization
+Architecture: all
+Recommends: kde-l10n-es
+Provides: kdevplatform-l10n
+Description: Spanish (es) localization files for the KDevelop platform
+ This package contains the Spanish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-et
+Section: localization
+Architecture: all
+Recommends: kde-l10n-et
+Provides: kdevplatform-l10n
+Description: Estonian (et) localization files for the KDevelop platform
+ This package contains the Estonian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-fi
+Section: localization
+Architecture: all
+Recommends: kde-l10n-fi
+Provides: kdevplatform-l10n
+Description: Finnish (fi) localization files for the KDevelop platform
+ This package contains the Finnish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-fr
+Section: localization
+Architecture: all
+Recommends: kde-l10n-fr
+Provides: kdevplatform-l10n
+Description: French (fr) localization files for the KDevelop platform
+ This package contains the French translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-gl
+Section: localization
+Architecture: all
+Recommends: kde-l10n-gl
+Provides: kdevplatform-l10n
+Description: Galician (gl) localization files for the KDevelop platform
+ This package contains the Galician translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-it
+Section: localization
+Architecture: all
+Recommends: kde-l10n-it
+Provides: kdevplatform-l10n
+Description: Italian (it) localization files for the KDevelop platform
+ This package contains the Italian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-nds
+Section: localization
+Architecture: all
+Recommends: kde-l10n-nds
+Provides: kdevplatform-l10n
+Description: Low Saxon (nds) localization files for the KDevelop platform
+ This package contains the Low Saxon translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-nl
+Section: localization
+Architecture: all
+Recommends: kde-l10n-nl
+Provides: kdevplatform-l10n
+Description: Dutch (nl) localization files for the KDevelop platform
+ This package contains the Dutch translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-pt
+Section: localization
+Architecture: all
+Recommends: kde-l10n-pt
+Provides: kdevplatform-l10n
+Description: Portugese (pt) localization files for the KDevelop platform
+ This package contains the Portugese translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-ptbr
+Section: localization
+Architecture: all
+Recommends: kde-l10n-ptbr
+Provides: kdevplatform-l10n
+Description: Brazilian Portugese (pt_BR) localization files for the KDevelop platform
+ This package contains the Brazilian Portugese translations for applications
+ using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-sl
+Section: localization
+Architecture: all
+Recommends: kde-l10n-sl
+Provides: kdevplatform-l10n
+Description: Slovenian (sl) localization files for the KDevelop platform
+ This package contains the Slovenian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-sv
+Section: localization
+Architecture: all
+Recommends: kde-l10n-sv
+Provides: kdevplatform-l10n
+Description: Swedish (sv) localization files for the KDevelop platform
+ This package contains the Swedish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-th
+Section: localization
+Architecture: all
+Recommends: kde-l10n-th
+Provides: kdevplatform-l10n
+Description: Thai (th) localization files for the KDevelop platform
+ This package contains the Thai translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+# Package: kdevplatform-l10n-tr
+# Section: localization
+# Architecture: all
+# Recommends: kde-l10n-tr
+# Provides: kdevplatform-l10n
+# Description: Turkish (tr) localization files for the KDevelop platform
+#  This package contains the Turkish translations for applications using
+#  the KDevelop platform.
+#  .
+#  This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-uk
+Section: localization
+Architecture: all
+Recommends: kde-l10n-uk
+Provides: kdevplatform-l10n
+Description: Ukrainian (uk) localization files for the KDevelop platform
+ This package contains the Ukrainian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-zhcn
+Section: localization
+Architecture: all
+Recommends: kde-l10n-zhcn
+Provides: kdevplatform-l10n
+Description: Chinese Simplified (zh_CN) localization files for the KDevelop platform
+ This package contains the Chinese simplified translations for applications
+ using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-zhtw
+Section: localization
+Architecture: all
+Recommends: kde-l10n-zhtw
+Provides: kdevplatform-l10n
+Description: Chinese Traditional (zh_TW) localization files for the KDevelop platform
+ This package contains the Chinese Traditional translations for applications
+ using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
