## kdevplatform 1.0.2

=== debian/changelog ===
kdevplatform (1.0.2-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_appmenu_fix.diff by Aurélien Gâteau to make KDevplatform
    work with appmenu.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Sep 2010 17:39:40 +0200

kdevplatform (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Don't ship kdevplatform-l10n-de, German translation is missing from
      upstream, German dropped below the threshold of translated strings

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 19:38:03 +0200

kdevplatform (1.0.1-1ubuntu1) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-sdk_kdevplatform

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:21:06 +0100
