=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), quilt, cmake (>= 2.8.0),
  pkg-kde-tools (>= 0.6.4), kdelibs5-dev (>= 4:4.4.1),
@@ -98,16 +99,16 @@
  .
  This package is part of the KDevelop platform.
 
-Package: kdevplatform-l10n-de
-Section: localization
-Architecture: all
-Recommends: kde-l10n-de
-Provides: kdevplatform-l10n
-Description: German (de) localization files for the KDevelop platform
- This package contains the German translations for applications using
- the KDevelop platform.
- .
- This package is part of the KDevelop platform.
+#Package: kdevplatform-l10n-de
+#Section: localization
+#Architecture: all
+#Recommends: kde-l10n-de
+#Provides: kdevplatform-l10n
+#Description: German (de) localization files for the KDevelop platform
+# This package contains the German translations for applications using
+# the KDevelop platform.
+# .
+# This package is part of the KDevelop platform.
 
 Package: kdevplatform-l10n-engb
 Section: localization
