=== debian/changelog ===
kdevplatform (1.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
    + refresh kdevplatform3-libs.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:24:30 +0200

kdevplatform (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 18:03:44 +0100

kdevplatform (1.1.90-0ubuntu1~ppa2) natty; urgency=low

  * New upstream release 
    - don't suggest removed l10n packages

 -- Philip Muskovac <yofel@gmx.net>  Wed, 12 Jan 2011 16:35:32 +0100

kdevplatform (1.1.80-0ubuntu1) natty; urgency=low

  * New upstream release
    - kdevplatform2-libs is now kdevplatform3-libs due to ABI changes
    - Update kdevplatform3-libs.install to include l10n files
    - Update kdevplatform-dev.install
  * Removed localization packages

 -- Bhargav Mangipudi <bhargav.1191@gmail.com>  Thu, 16 Dec 2010 19:31:23 +0530

kdevplatform (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * Merge packaging with kubuntu-ppa/backports PPA
   - kdevplatform1-libs is now kdevplatform2-libs due to ABI changes
   - libsublime1 is now libsublime2 due to ABI changes
   - Add build-dep on libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 04 Dec 2010 17:25:37 +0000

kdevplatform (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libboost-serialization1.42-dev
    - Update kdevplatform1-libs.install
    - Update kdevplatform-dev.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 00:06:18 +0200
