=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), quilt, cmake (>= 2.8.0),
 pkg-kde-tools (>= 0.9), kdelibs5-dev (>= 4:4.5),
 libsvn-dev, libboost-serialization1.42-dev, libqjson-dev
# libcommoncpp2-dev, libboost-iostreams-dev
Standards-Version: 3.9.0
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform/#_trunk_packages_kdevplatform_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevplatform

Package: kdevplatform3-libs
Architecture: any
Depends: ${shlibs:Depends}, libsublime2 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1), kdevplatform1-libs, kdevplatform2-libs
Breaks: kdevplatform1-libs, kdevplatform2-libs
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform3-libs (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:kdevplatform3-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevplatform3-libs (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime2
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libsublime1
Breaks: libsublime1
Description: an user interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime2 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libsublime2}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.
