## kdevplatform 1.2.3

=== debian/changelog ===
kdevplatform (1.2.3-1) unstable; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Dec 2011 18:48:50 +0100

kdevplatform (1.2.2-1) unstable; urgency=low

  * New upstream release:
    - provides Git support. (Closes: #597281)
    - fix ftbfs error: reference 'm_registry' cannot be declared 'mutable'
      (Closes: #624885)

  [ Andreas Cord-Landwehr ]
  * Merge all localization packages into one
    - includes: Catalan (ca), Southern Catalan (cavalencia), Danish (da),
      German (de), British English (engb), Spanish (es), Estonian (et),
      French (fr), Italian (it), Norwegian Bookmal (nb),
      Low Saxon (nds), Dutch (nl), Brazilian Portuguese (ptbr), 
      Portuguese (pt), Russian (ru), Slovenian (sl), Swedish (sv),
      Thai (th), Ukrainian (uk), Chinese Simplified (zh_CN)
      Chinese Traditional (zh_TW)
    - add Breaks for all kdevplatform-l10n-* packages .
    - add Replaces for all kdevplatform-l10n-* packages.
    - add kdevplatform-l10n package.
  * Rename packages due to soname bump:
    - kdevplatform2-libs -> kdevplatform3-libs
    - libsublime2 -> libsublime3
  * Update install files.
  * Add myself to Uploaders.

  [ Nicolás Alvarez ]
  * Add libsublime1 debugging symbols. (Closes: #593636)
  * Add debian/watch file to track upstream versions.
  * Update Vcs-* fields to point to Git instead of SVN.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Drop quilt from build-depends; not needed for src format 3.0.
  * Update installed files.
  * Bump pkg-kde-tools dependency to version 0.9.0 for building without quilt.
  * Add build dependency on libqjson-dev for building the reviewboard plugin.
  * Rename packages due to soname bump:
    - kdevplatform1-libs -> kdevplatform2-libs
    - libsublime1 -> libsublime2
  * Bump Standards-Version to 3.9.1 (no changes needed).

  [ Pino Toscano ]
  * kdevplatform3-libs: suggest git, cvs, konsole.

  [ Fathi Boudra ]
  * Add libqtwebkit-dev build dependency to fix ftbfs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 02 Jun 2011 11:39:31 +0300
