=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.8.0),
 pkg-kde-tools (>= 0.9.0), kdelibs5-dev (>= 4:4.5.0),
 libboost-serialization-dev, libqjson-dev, libqtwebkit-dev, libsvn-dev
Standards-Version: 3.9.2
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform3-libs
Architecture: any
Depends: ${shlibs:Depends}, libsublime3 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1), kdevplatform1-libs, kdevplatform2-libs
Breaks: kdevplatform1-libs, kdevplatform2-libs
Suggests: kdevplatform-l10n, git, cvs, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform3-libs (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:kdevplatform3-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevplatform3-libs (= ${binary:Version}), libsublime3 (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime3
Architecture: any
Depends: ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime3 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libsublime3}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Replaces: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
 kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
 kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
 kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
 kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
 kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
 kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
 kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
 kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
 kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
 kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
 kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
 kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
 kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
 kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform 
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.
